Package org.opentcs.data.order

# Enum DriveOrder.State

java.lang.Object
java.lang.Enum<DriveOrder.State>
org.opentcs.data.order.DriveOrder.State

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<DriveOrder.State>`, `java.lang.constant.Constable`

Enclosing class:
  DriveOrder

    public static enum DriveOrder.State
    extends java.lang.Enum<DriveOrder.State>

Defines the various potential states of a drive order.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `FAILED` | Marks a drive order as failed.
  `FINISHED` | Marks a drive order as successfully completed.
  `OPERATING` | Indicates the vehicle processing the order is currently executing an operation.
  `PRISTINE` | A drive order's initial state, indicating it being still untouched/not being processed.
  `TRAVELLING` | Indicates the vehicle processing the order is currently moving to its destination.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static DriveOrder.State` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static DriveOrder.State[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PRISTINE

    public static final DriveOrder.State PRISTINE
    A drive order's initial state, indicating it being still untouched/not being processed.

  - ### TRAVELLING

    public static final DriveOrder.State TRAVELLING
    Indicates the vehicle processing the order is currently moving to its destination.

  - ### OPERATING

    public static final DriveOrder.State OPERATING
    Indicates the vehicle processing the order is currently executing an operation.

  - ### FINISHED

    public static final DriveOrder.State FINISHED
    Marks a drive order as successfully completed.

  - ### FAILED

    public static final DriveOrder.State FAILED
    Marks a drive order as failed.

- ## Method Details

  - ### values

    public static DriveOrder.State[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DriveOrder.State valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null